com.twitter.twittertext

## Class TwitterTextParseResults

- java.lang.Object
- - com.twitter.twittertext.TwitterTextParseResults

-     public class TwitterTextParseResults
      extends java.lang.Object

  A class that represents a parsed tweet structure that contains the length of the tweet, its validity, display ranges etc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Range` | `displayTextRange` Text range that is visible
    `boolean` | `isValid` If the tweet is valid or not.
    `int` | `permillage` true weightedLength by configuration.maxWeightedTweetLength permillage.
    `Range` | `validTextRange` Text range that is valid for a Tweet
    `int` | `weightedLength` The adjusted tweet length based on char weights.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwitterTextParseResults(int weightedLength, int permillage, boolean isValid, Range displayTextRange, Range validTextRange)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### weightedLength

          public final int weightedLength

      The adjusted tweet length based on char weights. true weightedLength is weightedLength / configuration.scale

    - #### permillage

          public final int permillage

      true weightedLength by configuration.maxWeightedTweetLength permillage.

    - #### isValid

          public final boolean isValid

      If the tweet is valid or not.

    - #### displayTextRange

          public final Range displayTextRange

      Text range that is visible

    - #### validTextRange

          public final Range validTextRange

      Text range that is valid for a Tweet

  - ### Constructor Detail

    - #### TwitterTextParseResults

          public TwitterTextParseResults(int weightedLength,
                                         int permillage,
                                         boolean isValid,
                                         Range displayTextRange,
                                         Range validTextRange)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`